---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::WidgetPadding Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1WidgetPadding.html">WidgetPadding</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1WidgetPadding-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::WidgetPadding Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Parent class for every widget that has padding.  
 <a href="classtgui_1_1WidgetPadding.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Borders_8hpp_source.html">Borders.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tgui::WidgetPadding:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1WidgetPadding.png" usemap="#tgui::WidgetPadding_map" alt=""/>
  <map id="tgui::WidgetPadding_map" name="tgui::WidgetPadding_map">
<area href="classtgui_1_1ChatBoxRenderer.html" alt="tgui::ChatBoxRenderer" shape="rect" coords="0,56,158,80"/>
<area href="classtgui_1_1ComboBoxRenderer.html" alt="tgui::ComboBoxRenderer" shape="rect" coords="168,56,326,80"/>
<area href="classtgui_1_1EditBoxRenderer.html" alt="tgui::EditBoxRenderer" shape="rect" coords="336,56,494,80"/>
<area href="classtgui_1_1LabelRenderer.html" alt="tgui::LabelRenderer" shape="rect" coords="504,56,662,80"/>
<area href="classtgui_1_1ListBoxRenderer.html" alt="tgui::ListBoxRenderer" shape="rect" coords="672,56,830,80"/>
<area href="classtgui_1_1RadioButtonRenderer.html" alt="tgui::RadioButtonRenderer" shape="rect" coords="840,56,998,80"/>
<area href="classtgui_1_1TextBoxRenderer.html" alt="tgui::TextBoxRenderer" shape="rect" coords="1008,56,1166,80"/>
<area href="classtgui_1_1CheckBoxRenderer.html" alt="tgui::CheckBoxRenderer" shape="rect" coords="840,112,998,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a06448dfb10275ea7939c248ddf88f46d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">setPadding</a> (const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;padding)</td></tr>
<tr class="memdesc:a06448dfb10275ea7939c248ddf88f46d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#a06448dfb10275ea7939c248ddf88f46d">More...</a><br /></td></tr>
<tr class="separator:a06448dfb10275ea7939c248ddf88f46d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a865dcb475db3ef518b601846045c9212"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">setPadding</a> (float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td></tr>
<tr class="memdesc:a865dcb475db3ef518b601846045c9212"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#a865dcb475db3ef518b601846045c9212">More...</a><br /></td></tr>
<tr class="separator:a865dcb475db3ef518b601846045c9212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba6165c8b9220c6bf904446a0c7f262"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">setPadding</a> (float width, float height)</td></tr>
<tr class="memdesc:abba6165c8b9220c6bf904446a0c7f262"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#abba6165c8b9220c6bf904446a0c7f262">More...</a><br /></td></tr>
<tr class="separator:abba6165c8b9220c6bf904446a0c7f262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1c34add1232dc4cd8dca0ebc4dc8a20"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Padding</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a> () const </td></tr>
<tr class="memdesc:ab1c34add1232dc4cd8dca0ebc4dc8a20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the padding.  <a href="#ab1c34add1232dc4cd8dca0ebc4dc8a20">More...</a><br /></td></tr>
<tr class="separator:ab1c34add1232dc4cd8dca0ebc4dc8a20"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Parent class for every widget that has padding. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ab1c34add1232dc4cd8dca0ebc4dc8a20"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1Borders.html">Padding</a> tgui::WidgetPadding::getPadding </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the size of the padding. </p>
<dl class="section return"><dt>Returns</dt><dd>padding sizes</dd></dl>
<p>The first element will be the size of the left padding, the seconds is the size of the top padding, the third is the size of the right padding and the the last constains the size of the bottom padding. </p>

</div>
</div>
<a class="anchor" id="a06448dfb10275ea7939c248ddf88f46d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::WidgetPadding::setPadding </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;&#160;</td>
          <td class="paramname"><em>padding</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the padding. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">padding</td><td>Size of the padding </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBoxRenderer.html#a4fbc611e85ad1f30b87580bc86345a48">tgui::ComboBoxRenderer</a>, <a class="el" href="classtgui_1_1ListBoxRenderer.html#ae786426ecce79109d582f5aae759dd19">tgui::ListBoxRenderer</a>, <a class="el" href="classtgui_1_1ChatBoxRenderer.html#a88ff9a46cdcf37a7259b291bcde29513">tgui::ChatBoxRenderer</a>, <a class="el" href="classtgui_1_1EditBoxRenderer.html#a6260b940863f3df0d9b3915733318d2e">tgui::EditBoxRenderer</a>, <a class="el" href="classtgui_1_1TextBoxRenderer.html#a6d562b4bc6b65df13ce42186b03d1d7a">tgui::TextBoxRenderer</a>, and <a class="el" href="classtgui_1_1LabelRenderer.html#a00aedabab377f145b21381da4e0b1572">tgui::LabelRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a865dcb475db3ef518b601846045c9212"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::WidgetPadding::setPadding </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>leftPadding</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>topPadding</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>rightPadding</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>bottomPadding</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the padding. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">leftPadding</td><td>Width of the left padding </td></tr>
    <tr><td class="paramname">topPadding</td><td>Height of the top padding </td></tr>
    <tr><td class="paramname">rightPadding</td><td>Width of the right padding </td></tr>
    <tr><td class="paramname">bottomPadding</td><td>Height of the bottom padding </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abba6165c8b9220c6bf904446a0c7f262"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::WidgetPadding::setPadding </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the padding. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>Width of the left and right padding </td></tr>
    <tr><td class="paramname">height</td><td>Height of the top and bottom padding </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Borders_8hpp_source.html">Borders.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:46 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
